## kdebugsettings 23.08.4

=== debian/changelog ===
kdebugsettings (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:13:55 +0000

kdebugsettings (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:33:23 +0000

kdebugsettings (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:29:39 +0100

## kdebugsettings 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
# KDE Application Version, managed by release script
cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.105.0")

set(ECM_VERSION ${KF_MIN_VERSION})
find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(ECMDeprecationSettings)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons 
    Config
    DBusAddons 
    I18n 
    WidgetsAddons
    ItemViews
    Completion
    XmlGui
)

add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
ecm_set_disabled_deprecation_versions(QT 6.5.0
    KF 5.240
)

configure_file(config-kdebugsettings.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdebugsettings.h)

set(KDEBUGSETTINGS_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
set(KDEBUGSETTINGS_LIB_SOVERSION "5")

if (QT_MAJOR_VERSION STREQUAL "6")
    option(BUILD_QUICK_VERSION "Experimental (in progress)" FALSE)
    if (BUILD_QUICK_VERSION)
        find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Quick QuickControls2)
        if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
            add_definitions(-DQT_QML_DEBUG)
        endif()
    endif()
endif()
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
if (BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
endif()

add_subdirectory( src )

ecm_qt_install_logging_categories(EXPORT KDEBUGSETTINGS FILE kdebugsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
add_subdirectory(data/groups)

install( FILES data/kde.renamecategories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR} )
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/apps/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(kdebugsettings main.cpp)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kdebugsettings PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(kdebugsettings
    Qt::Widgets
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::DBusAddons
    libkdebugsettings
)

install(TARGETS kdebugsettings  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== src/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(${CMAKE_BINARY_DIR})

add_library(libkdebugsettings SHARED)

ecm_qt_declare_logging_category(libkdebugsettings HEADER kdebugsettings_debug.h IDENTIFIER KDEBUGSETTINGS_LOG CATEGORY_NAME log_kdebugsettings DESCRIPTION "kdebugsettings" EXPORT KDEBUGSETTINGS)

target_sources(libkdebugsettings PRIVATE
    categorytypecombobox.cpp
    categorytypecombobox.h
    categorywarning.cpp
    categorywarning.h
    configurecustomsettingdialog.cpp
    configurecustomsettingdialog.h
    configurecustomsettingwidget.cpp
    configurecustomsettingwidget.h
    customdebugsettingspage.cpp
    customdebugsettingspage.h
    environmentplaintextedit.cpp
    environmentplaintextedit.h
    environmentsettingsrulespage.cpp
    environmentsettingsrulespage.h
    groupmanagementdialog.cpp
    groupmanagementdialog.h
    groupmanagementwidget.cpp
    groupmanagementwidget.h
    kdeapplicationdebugsettingpage.cpp
    kdeapplicationdebugsettingpage.h
    kdebugsettingsdialog.cpp
    kdebugsettingsdialog.h
    libkdebugsettings_private_export.h
    loadgroupmenu.cpp
    loadgroupmenu.h
    loadtoolbutton.cpp
    loadtoolbutton.h
    savetoolbutton.cpp
    savetoolbutton.h

    customdebuglistview.h
    customdebuglistview.cpp


    kdeapplicationtreeview.h
    kdeapplicationtreeview.cpp
    kdeapplicationlistviewdelegate.h
    kdeapplicationlistviewdelegate.cpp
    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(libkdebugsettings PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(libkdebugsettings BASE_NAME libkdebugsettings)
target_link_libraries(libkdebugsettings
    Qt::Core
    KF${KF_MAJOR_VERSION}::Completion
    KF${KF_MAJOR_VERSION}::ConfigCore
    KF${KF_MAJOR_VERSION}::CoreAddons
    KF${KF_MAJOR_VERSION}::I18n
    Qt::Widgets
    KF${KF_MAJOR_VERSION}::WidgetsAddons
    KF${KF_MAJOR_VERSION}::ItemViews
    KF${KF_MAJOR_VERSION}::ConfigGui
    KF${KF_MAJOR_VERSION}::XmlGui
    libkdebugsettingscore
)

set_target_properties(libkdebugsettings
    PROPERTIES OUTPUT_NAME kdebugsettings VERSION ${KDEBUGSETTINGS_LIB_VERSION} SOVERSION ${KDEBUGSETTINGS_LIB_SOVERSION}
    )

install(TARGETS libkdebugsettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

if (BUILD_TESTING)
    add_subdirectory( autotests )
    add_subdirectory( tests )
endif()

=== src/widgets/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

# convenience macro to add qtest unit tests
macro(add_kdebugsettings_unittest _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable( ${_name} ${_test} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name} )
    ecm_mark_as_test(kdebugsettings-${_name})
    target_link_libraries( ${_name}
        Qt::Test
        KF${KF_MAJOR_VERSION}::I18n
        Qt::Widgets
        KF${KF_MAJOR_VERSION}::ConfigCore
        KF${KF_MAJOR_VERSION}::WidgetsAddons
        KF${KF_MAJOR_VERSION}::ItemViews
        KF${KF_MAJOR_VERSION}::Completion
        libkdebugsettings
        )
endmacro ()

add_kdebugsettings_unittest( kdebugsettingsdialogtest.cpp)
add_kdebugsettings_unittest( kdeapplicationdebugsettingpagetest.cpp)
add_kdebugsettings_unittest( customdebugsettingspagetest.cpp)
add_kdebugsettings_unittest( configurecustomsettingdialogtest.cpp)
add_kdebugsettings_unittest( configurecustomsettingwidgettest.cpp)
add_kdebugsettings_unittest( environmentsettingsrulespagetest.cpp)
add_kdebugsettings_unittest( categorytypecomboboxtest.cpp)

add_kdebugsettings_unittest( categorywarningtest.cpp)
add_kdebugsettings_unittest( loadgroupmenutest.cpp)
add_kdebugsettings_unittest( loadtoolbuttontest.cpp)
add_kdebugsettings_unittest( savetoolbuttontest.cpp)
add_kdebugsettings_unittest( groupmanagementdialogtest.cpp)
add_kdebugsettings_unittest( groupmanagementwidgettest.cpp)
add_kdebugsettings_unittest( customdebuglistviewtest.cpp )
add_kdebugsettings_unittest( kdeapplicationtreeviewtest.cpp )

=== src/widgets/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(customdebuglistviewgui)
target_sources(customdebuglistviewgui PRIVATE
    customdebuglistviewgui.h customdebuglistviewgui.cpp)

target_link_libraries(customdebuglistviewgui
    libkdebugsettings
)

######
add_executable(kdeapplicationtreeviewgui)
target_sources(kdeapplicationtreeviewgui PRIVATE
    kdeapplicationtreeviewgui.h kdeapplicationtreeviewgui.cpp)

target_link_libraries(kdeapplicationtreeviewgui
    libkdebugsettings
)

=== debian/changelog ===
kdebugsettings (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:41 +1100

kdebugsettings (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:49:44 +0000

kdebugsettings (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:41:13 -0700

=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libkf5completion-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5coreaddons-dev (>= 5.99.0~),
               libkf5dbusaddons-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5itemviews-dev (>= 5.99.0~),
               libkf5widgetsaddons-dev (>= 5.99.0~),
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdebugsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdebugsettings

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	#xvfb-run -a dh_auto_test

## kdebugsettings 24.08.2

=== debian/changelog ===
kdebugsettings (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:53:53 -0500

kdebugsettings (24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Build against Qt6 / KF6, update build-deps and deps with the info from
    cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to kf6 debhelper build sequence.
  * Build with hardening=+all build hardening flag.
  * Refresh lintian overrides.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 22:31:29 +0200

kdebugsettings (23.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update build-deps with info from cmake.

 -- Jesse Rhodes <jesse@sney.ca>  Sun, 05 Nov 2023 17:11:15 -0500

=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdebugsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdebugsettings

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

## kdebugsettings 24.11.90

=== debian/changelog ===
kdebugsettings (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:06:23 +0000

kdebugsettings (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Nov 2024 14:50:59 +0000

kdebugsettings (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:39:10 +0000

## kdebugsettings 24.12.0

=== debian/changelog ===
kdebugsettings (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:36:35 +0100

=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings.git

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

## kdebugsettings 24.12.1

=== debian/changelog ===
kdebugsettings (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:29:23 +0000

kdebugsettings (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:09:56 +0000

## kdebugsettings 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2024 Laurent Mont./resources/imap/akonadi_imap_resource.notifyrcel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
# KDE Application Version, managed by release script
cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})

set(QT_REQUIRED_VERSION "6.7.0")
set(KF_MIN_VERSION "6.6.0")

set(ECM_VERSION ${KF_MIN_VERSION})
find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMCheckOutboundLicense)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons 
    Config
    I18n 
    WidgetsAddons
    Completion
    XmlGui
    IconThemes
    Crash
)

if(NOT WIN32 AND NOT APPLE)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
    set(HAVE_KDBUSADDONS true)
endif()

add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.8.0
)

if(OPTION_SELENIUMWEBDRIVER_SUPPORT)
    find_package(SeleniumWebDriverATSPI)
    set_package_properties(SeleniumWebDriverATSPI PROPERTIES PURPOSE "Needed for GUI tests" URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi" TYPE OPTIONAL)
endif()
configure_file(config-kdebugsettings.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kdebugsettings.h)

set(KDEBUGSETTINGS_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
set(KDEBUGSETTINGS_LIB_SOVERSION "6")

option(BUILD_QUICK_VERSION "Experimental (in progress)" FALSE)
if(BUILD_QUICK_VERSION)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Quick QuickControls2)
    if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
        add_definitions(-DQT_QML_DEBUG)
    endif()
endif()
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
if(BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
endif()

add_subdirectory( src )

ecm_qt_install_logging_categories(EXPORT KDEBUGSETTINGS FILE kdebugsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
add_subdirectory(data/groups)

install(FILES data/kde.renamecategories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR} )
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)


file(GLOB_RECURSE ALL_SOURCE_FILES src/quickapps/*.cpp src/quickapps/*.h src/core/*.cpp src/core/*.h src/apps/*.h src/apps/*.cpp src/widgets/*.cpp src/widgets/*.h)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(${CMAKE_BINARY_DIR})
add_subdirectory(core)
add_subdirectory(apps)
add_subdirectory(data)
add_subdirectory(widgets)
if(BUILD_QUICK_VERSION)
    add_subdirectory(quickapps)
endif()

# Selenium GUI tests
if(SeleniumWebDriverATSPI_FOUND)
    add_subdirectory(seleniumtests)
endif()

=== data/groups/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
install(FILES "Full Debug Ruqola" DESTINATION ${KDE_INSTALL_DATADIR}/kdebugsettings/groups)

=== src/apps/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2024 Laurent Montel <montel.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(kdebugsettings main.cpp)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kdebugsettings PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(kdebugsettings
    Qt::Widgets
    KF6::I18n
    libkdebugsettings
    KF6::IconThemes
    KF6::Crash
)

if(TARGET KF6::DBusAddons)
    target_link_libraries(kdebugsettings KF6::DBusAddons)
endif()

install(TARGETS kdebugsettings  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== src/data/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2024 Laurent Montel <montel.org>
# SPDX-License-Identifier: BSD-3-Clause

########### install files ###############

install(PROGRAMS org.kde.kdebugsettings.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.kdebugsettings.appdata.xml DESTINATION  ${KDE_INSTALL_METAINFODIR})

=== src/quickapps/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2024 Laurent Montel <montel.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(kdebugsettingsquick)
target_sources(kdebugsettingsquick PRIVATE main.cpp resources.qrc)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kdebugsettingsquick PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(kdebugsettingsquick
    KF6::I18n
    KF6::CoreAddons
    KF6::DBusAddons
    libkdebugsettingscore
    Qt::Quick
    Qt::QuickControls2
    Qt::Widgets
)
if(TARGET KF6::I18nQml)
    target_link_libraries(kdebugsettingsquick KF6::I18nQml)
endif()

install(TARGETS kdebugsettingsquick ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2015-2023 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2015-2024 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 include_directories(${CMAKE_BINARY_DIR})
 
@@ -47,21 +47,20 @@
     kdeapplicationlistviewdelegate.cpp
     )
 
-if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
+if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
     set_target_properties(libkdebugsettings PROPERTIES UNITY_BUILD ON)
 endif()
 generate_export_header(libkdebugsettings BASE_NAME libkdebugsettings)
 target_link_libraries(libkdebugsettings
     Qt::Core
-    KF${KF_MAJOR_VERSION}::Completion
-    KF${KF_MAJOR_VERSION}::ConfigCore
-    KF${KF_MAJOR_VERSION}::CoreAddons
-    KF${KF_MAJOR_VERSION}::I18n
+    KF6::Completion
+    KF6::ConfigCore
+    KF6::CoreAddons
+    KF6::I18n
     Qt::Widgets
-    KF${KF_MAJOR_VERSION}::WidgetsAddons
-    KF${KF_MAJOR_VERSION}::ItemViews
-    KF${KF_MAJOR_VERSION}::ConfigGui
-    KF${KF_MAJOR_VERSION}::XmlGui
+    KF6::WidgetsAddons
+    KF6::ConfigGui
+    KF6::XmlGui
     libkdebugsettingscore
 )
 
@@ -71,7 +70,7 @@
 
 install(TARGETS libkdebugsettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
 
-if (BUILD_TESTING)
+if(BUILD_TESTING)
     add_subdirectory( autotests )
     add_subdirectory( tests )
 endif()

=== src/widgets/tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2023 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2023-2024 Laurent Montel <montel.org>
 # SPDX-License-Identifier: BSD-3-Clause
 add_executable(customdebuglistviewgui)
 target_sources(customdebuglistviewgui PRIVATE

=== debian/changelog ===
kdebugsettings (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:39:59 +0000

kdebugsettings (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:14:34 +0000

## kdebugsettings 25.04.0

=== data/groups/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
install(FILES "Full Debug Ruqola" DESTINATION ${KDE_INSTALL_DATADIR}/kdebugsettings/groups)

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(${CMAKE_BINARY_DIR})

add_library(libkdebugsettingscore SHARED)

ecm_qt_declare_logging_category(libkdebugsettingscore HEADER kdebugsettingscore_debug.h IDENTIFIER KDEBUGSETTINGSCORE_LOG CATEGORY_NAME log_kdebugsettingscore DESCRIPTION "kdebugsettings core" EXPORT KDEBUGSETTINGS)
target_sources(libkdebugsettingscore PRIVATE
    jobs/changedebugmodejob.cpp
    jobs/changedebugmodejob.h
    jobs/loadcategoriesjob.cpp
    jobs/loadcategoriesjob.h
    jobs/saverulesjob.cpp
    jobs/saverulesjob.h

    model/customloggingcategorymodel.h
    model/customloggingcategorymodel.cpp

    model/customloggingcategoryproxymodel.h
    model/customloggingcategoryproxymodel.cpp

    model/kdeapplicationloggingcategorymodel.h
    model/kdeapplicationloggingcategorymodel.cpp

    model/kdeapplicationloggingcategoryproxymodel.h
    model/kdeapplicationloggingcategoryproxymodel.cpp

    model/categorytypemodel.h
    model/categorytypemodel.cpp
    model/categorytypeproxymodel.h
    model/categorytypeproxymodel.cpp

    loggingcategory.cpp
    loggingcategory.h
    kdebugsettingsutil.cpp
    kdebugsettingsutil.h
    renamecategory.cpp
    renamecategory.h

    kdeloggingcategory.cpp
    kdeloggingcategory.h
    kdebugsettingsloadingcategories.cpp
    kdebugsettingsloadingcategories.h

    libkdebugsettingscore_private_export.h


    loggingmanager.h loggingmanager.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(libkdebugsettingscore PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(libkdebugsettingscore BASE_NAME libkdebugsettingscore)
target_link_libraries(libkdebugsettingscore
    Qt::Core
    KF6::I18n
)

set_target_properties(libkdebugsettingscore
    PROPERTIES OUTPUT_NAME kdebugsettingscore VERSION ${KDEBUGSETTINGS_LIB_VERSION} SOVERSION ${KDEBUGSETTINGS_LIB_SOVERSION}
    )

install(TARGETS libkdebugsettingscore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()

=== src/data/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2023-2024 Laurent Montel <montel.org>
+# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
 ########### install files ###############

=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2015-2024 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 include_directories(${CMAKE_BINARY_DIR})

=== src/widgets/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

# convenience macro to add qtest unit tests
macro(add_kdebugsettings_unittest _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(kdebugsettings-${_name})
    target_link_libraries( ${_name}
        Qt::Test
        KF6::I18n
        Qt::Widgets
        KF6::ConfigCore
        KF6::WidgetsAddons
        KF6::Completion
        libkdebugsettings
        )
endmacro()

add_kdebugsettings_unittest(kdebugsettingsdialogtest.cpp)
add_kdebugsettings_unittest(kdeapplicationdebugsettingpagetest.cpp)
add_kdebugsettings_unittest(customdebugsettingspagetest.cpp)
add_kdebugsettings_unittest(configurecustomsettingdialogtest.cpp)
add_kdebugsettings_unittest(configurecustomsettingwidgettest.cpp)
add_kdebugsettings_unittest(environmentsettingsrulespagetest.cpp)
add_kdebugsettings_unittest(categorytypecomboboxtest.cpp)

add_kdebugsettings_unittest(categorywarningtest.cpp)
add_kdebugsettings_unittest(loadgroupmenutest.cpp)
add_kdebugsettings_unittest(loadtoolbuttontest.cpp)
add_kdebugsettings_unittest(savetoolbuttontest.cpp)
add_kdebugsettings_unittest(groupmanagementdialogtest.cpp)
add_kdebugsettings_unittest(groupmanagementwidgettest.cpp)
add_kdebugsettings_unittest(customdebuglistviewtest.cpp)
add_kdebugsettings_unittest(kdeapplicationtreeviewtest.cpp)

=== debian/changelog ===
kdebugsettings (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Mark test suite as failing on s390x.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 18:30:35 +0200

kdebugsettings (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:59:58 +0200

=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6completion-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.10.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kdebugsettings/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings.git

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

testsuite_failing_archs := s390x
ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@

override_dh_auto_test:
	-xvfb-run -a dh_auto_test -Skf6 $(fail_param)

## kdebugsettings 25.04.3

=== debian/changelog ===
kdebugsettings (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:40:53 +0100

kdebugsettings (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:42:32 +0100

kdebugsettings (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:04:39 +0100

kdebugsettings (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:46:49 +0100

## kdebugsettings 25.07.80

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
# KDE Application Version, managed by release script
cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "07")
set(RELEASE_SERVICE_VERSION_MICRO "80")
set(RELEASE_SERVICE_VERSION
    "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
)
project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})

set(QT_REQUIRED_VERSION "6.8.0")
set(KF_MIN_VERSION "6.14.0")

set(ECM_VERSION ${KF_MIN_VERSION})
find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(FeatureSummary)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMCheckOutboundLicense)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
find_package(
    KF6
    ${KF_MIN_VERSION}
    REQUIRED
    COMPONENTS
        CoreAddons
        Config
        I18n
        WidgetsAddons
        Completion
        XmlGui
        IconThemes
        Crash
)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()

option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    set(WITH_DBUS TRUE)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
else()
    find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
endif()

add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.9.0
    KF 6.15.0
)

if(OPTION_SELENIUMWEBDRIVER_SUPPORT)
    find_package(SeleniumWebDriverATSPI)
    set_package_properties(
        SeleniumWebDriverATSPI
        PROPERTIES
            PURPOSE "Needed for GUI tests"
            URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi"
            TYPE OPTIONAL
    )
endif()
configure_file(
    config-kdebugsettings.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config-kdebugsettings.h
)

set(KDEBUGSETTINGS_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
set(KDEBUGSETTINGS_LIB_SOVERSION "6")

option(BUILD_QUICK_VERSION "Experimental (in progress)" FALSE)
if(BUILD_QUICK_VERSION)
    find_package(
        Qt6
        ${QT_MIN_VERSION}
        REQUIRED
        NO_MODULE
        COMPONENTS Quick QuickControls2
    )
    if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
        add_definitions(-DQT_QML_DEBUG)
    endif()
endif()
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
if(BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(EXPORT KDEBUGSETTINGS FILE kdebugsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
add_subdirectory(data/groups)

install(
    FILES data/kde.renamecategories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/quickapps/*.cpp
    src/quickapps/*.h
    src/core/*.cpp
    src/core/*.h
    src/apps/*.h
    src/apps/*.cpp
    src/widgets/*.cpp
    src/widgets/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kdebugsettings (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:08:09 +0100

## kdebugsettings 25.07.90

=== debian/changelog ===
kdebugsettings (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:42:27 +0100

## kdebugsettings 25.08.0

=== debian/changelog ===
kdebugsettings (25.08.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 21:58:59 +0000

kdebugsettings (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:25:12 +0000

kdebugsettings (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:09:22 +0000

kdebugsettings (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:10:15 +0000

kdebugsettings (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:00:28 +0000

kdebugsettings (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:59:22 +0000

kdebugsettings (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:22:09 +0000

kdebugsettings (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:16:46 +0000

kdebugsettings (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:07:39 +0000

kdebugsettings (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:03:58 +0000

kdebugsettings (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:04:02 +0000

kdebugsettings (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:41:52 +0000

kdebugsettings (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:17:38 +0000

kdebugsettings (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Aug 2024 16:11:37 +0000

kdebugsettings (24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:23:14 +0000

kdebugsettings (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:59:52 +0000

kdebugsettings (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:23:12 +0000

kdebugsettings (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:12:11 +0000

kdebugsettings (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:05:47 +0000

kdebugsettings (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:46:49 +0000

kdebugsettings (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 14:52:55 +0000

kdebugsettings (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:22:24 +0000

kdebugsettings (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 21:58:49 +0000

kdebugsettings (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:53:13 +0000

kdebugsettings (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:41:25 +0000

## kdebugsettings 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # KDE Application Version, managed by release script
 cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION
     "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2015-2024 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 include_directories(${CMAKE_BINARY_DIR})
 add_subdirectory(core)

=== src/data/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

########### install files ###############

install(
    PROGRAMS org.kde.kdebugsettings.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)
install(
    FILES org.kde.kdebugsettings.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

=== src/quickapps/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(kdebugsettingsquick)
target_sources(kdebugsettingsquick PRIVATE main.cpp resources.qrc)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kdebugsettingsquick PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(
    kdebugsettingsquick
    KF6::I18n
    KF6::CoreAddons
    libkdebugsettingscore
    Qt::Quick
    Qt::QuickControls2
    Qt::Widgets
    KF6::IconThemes
    KF6::ConfigWidgets
)
if(TARGET KF6::DBusAddons)
    target_link_libraries(kdebugsettingsquick KF6::DBusAddons)
else()
    target_link_libraries(kdebugsettingsquick KDAB::kdsingleapplication)
endif()
target_link_libraries(kdebugsettingsquick KF6::I18nQml)

install(TARGETS kdebugsettingsquick ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdebugsettings (25.08.1-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 22:09:53 +0000

kdebugsettings (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:51:32 +0000

## kdebugsettings 25.08.1+p24.04+vstable+git20250912.2128

=== debian/changelog ===
kdebugsettings (25.08.1+p24.04+vstable+git20250912.2128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 21:28:17 +0000

## kdebugsettings 25.08.1+p24.04+vstable+git20251001.1130

=== debian/changelog ===
kdebugsettings (25.08.1+p24.04+vstable+git20251001.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:30:17 +0000
